package routers

import (
	"ERP_user/controllers"
	beego "github.com/beego/beego/v2/server/web"
	errorlibs "gogs.baozhida.cn/zoie/ERP_libs/Error"
)

func init() {

	beego.ErrorController(&errorlibs.ErrorController{})
	//过滤器，拦截所有请求
	beego.InsertFilter("/*", beego.BeforeRouter, RBACFilter)

	beego.Router("/UpFileToken", &controllers.UpFileController{}, "*:UpFileToken")

}
